org.wildfly.swarm.config.elytron

## Class CustomCredentialSecurityFactory<T extends CustomCredentialSecurityFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.CustomCredentialSecurityFactory<T>

-     public class CustomCredentialSecurityFactory<T extends CustomCredentialSecurityFactory<T>>
      extends Object

  A custom credential SecurityFactory definition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomCredentialSecurityFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `className()` The class name of the implementation of the custom security factory.
    `T` | `className(String value)` The class name of the implementation of the custom security factory.
    `Map` | `configuration()` The optional key/value configuration for the custom security factory.
    `T` | `configuration(Map value)` The optional key/value configuration for the custom security factory.
    `T` | `configuration(String key, Object value)` The optional key/value configuration for the custom security factory.
    `String` | `getKey()`
    `String` | `module()` The module to use to load the custom security factory.
    `T` | `module(String value)` The module to use to load the custom security factory.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomCredentialSecurityFactory

          public CustomCredentialSecurityFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### configuration

          public Map configuration()

      The optional key/value configuration for the custom security factory.

    - #### configuration

          public T configuration(Map value)

      The optional key/value configuration for the custom security factory.

    - #### configuration

          public T configuration(String key,
                                 Object value)

      The optional key/value configuration for the custom security factory.

    - #### className

          public String className()

      The class name of the implementation of the custom security factory.

    - #### className

          public T className(String value)

      The class name of the implementation of the custom security factory.

    - #### module

          public String module()

      The module to use to load the custom security factory.

    - #### module

          public T module(String value)

      The module to use to load the custom security factory.

Copyright © 2018 JBoss by Red Hat. All rights reserved.